For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet login history
      • GETGet license
      • POSTUpdate license
      • GETValidate license
      • GETGet instance statistics
      • GETGet instance statistics (CSV)

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIInstance admin

Get instance statistics

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/instance-admin/statistics
GET
/api/admin/instance-admin/statistics
$curl https://app.unleash-instance.example.com/api/admin/instance-admin/statistics \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "instanceId": "ed3861ae-78f9-4e8c-8e57-b57efc15f82b",
3 "timestamp": "2023-06-12T12:25:06Z",
4 "versionOSS": "5.1.7",
5 "versionEnterprise": "5.1.7",
6 "users": 8,
7 "previousDayMetricsBucketsCount": {
8 "enabledCount": 10,
9 "variantCount": 10
10 },
11 "activeUsers": {
12 "last7": 5,
13 "last30": 10,
14 "last60": 12,
15 "last90": 15
16 },
17 "licensedUsers": 10,
18 "productionChanges": {
19 "last30": 10,
20 "last60": 12,
21 "last90": 15
22 },
23 "featureToggles": 47,
24 "projects": 3,
25 "contextFields": 7,
26 "roles": 5,
27 "groups": 12,
28 "environments": 3,
29 "segments": 19,
30 "strategies": 8,
31 "SAMLenabled": false,
32 "OIDCenabled": true,
33 "clientApps": [
34 {
35 "range": "30d",
36 "count": 1
37 }
38 ],
39 "featureExports": 0,
40 "featureImports": 0,
41 "apiTokens": {
42 "admin": 5,
43 "client": 5,
44 "frontend": 5
45 },
46 "maxEnvironmentStrategies": 3,
47 "maxConstraints": 4,
48 "maxConstraintValues": 17,
49 "releaseTemplates": 2,
50 "releasePlans": 1,
51 "edgeInstanceUsage": {
52 "2025-09": 2.25,
53 "2025-08": 1.75,
54 "2024-10": 0.45
55 },
56 "readOnlyUsers": 1,
57 "sum": "b023323477abb1eb145bebf3cdb30a1c2063e3edc1f7ae474ed8ed6c80de9a3b"
58}

Provides statistics about various features of Unleash to allow for reporting of usage for self-hosted customers. The response contains data such as the number of users, groups, features, strategies, versions, etc.

Was this page helpful?
Previous

Get instance statistics (CSV)

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Response

instanceAdminStatsSchema
instanceIdstring
A unique identifier for this instance. Generated by the database migration scripts at first run. Typically a UUID.
timestampstring or nullformat: "date-time"
When these statistics were produced
versionOSSstring
The version of Unleash OSS that is bundled in this instance
versionEnterprisestring
The version of Unleash Enterprise that is bundled in this instance
usersinteger>=0
The number of users this instance has
previousDayMetricsBucketsCountobject

The number client metrics buckets records recorded in the previous day. # features * # apps * # envs * # hours with metrics

activeUsersobject
The number of active users in the last 7, 30 and 90 days
licensedUsersinteger>=0
The number of users who had access to Unleash within the last 30 days, including those who may have been deleted during this period.
productionChangesobject
The number of changes to the production environment in the last 30, 60 and 90 days
featureTogglesinteger>=0

The number of feature-toggles this instance has

projectsinteger>=0
The number of projects defined in this instance.
contextFieldsinteger>=0
The number of context fields defined in this instance.
rolesinteger>=0
The number of roles defined in this instance
groupsinteger>=0
The number of groups defined in this instance
environmentsinteger>=0
The number of environments defined in this instance
segmentsinteger>=0
The number of segments defined in this instance
strategiesinteger>=0
The number of strategies defined in this instance
SAMLenabledboolean
Whether or not SAML authentication is enabled for this instance
OIDCenabledboolean
Whether or not OIDC authentication is enabled for this instance
clientAppslist of objects
A count of connected applications in the last week, last month and all time since last restart
featureExportsinteger>=0
The number of export operations on this instance
featureImportsinteger>=0
The number of import operations on this instance
apiTokensobject
The number of API tokens in Unleash, split by type
maxEnvironmentStrategiesinteger>=0
The highest number of strategies used on a single feature flag in a single environment.
maxConstraintsinteger>=0
The highest number of constraints used on a single strategy.
maxConstraintValuesinteger>=0
The highest number of constraint values used on a single constraint.
releaseTemplatesinteger>=0
The number of release templates in this instance
releasePlansinteger>=0
The number of release plans in this instance
edgeInstanceUsagemap from strings to doubles
The average number of edge instances, per month, in the last 12 months, rounded to 3 decimal places
readOnlyUsersinteger>=0
The number of ReadOnly users in this instance
sumstring

A SHA-256 checksum of the instance statistics to be used to verify that the data in this object has not been tampered with